<cfcomponent displayname="FAQ Category List" extends="farcry.farcry_core.packages.rules.rules" hint="Lists the FAQ subcategories of the given page.">
	<cffunction access="public" name="execute" output="false">
		<cfargument name="objectID" required="Yes" type="uuid" default="">
		<cfargument name="dsn" required="false" type="string" default="#application.dsn#">

		<!--- assumes existance of request.navid  --->
		<cfparam name="request.navid">
		<cfscript>
			stObj = this.getData(arguments.objectid);
			html = "";

			oNav = createObject("component", "#application.packagepath#.types.dmNavigation");
			oHTML = createObject("component", "#application.packagepath#.types.dmHTML");
			
			navFilter=arrayNew(1);
			navfilter[1]="status IN (#listQualify(request.mode.lvalidstatus, "'")#)";
			qDesc = application.factory.oTree.getDescendants(objectid=request.navid,depth=1,afilter=navFilter);
		</cfscript>			

		<cfimport taglib="/farcry/farcry_core/tags/webskin" prefix="skin" />

		<cfif qDesc.recordcount GT 0>
			<cfset html = html & "<ul>" />
			<cfloop query="qDesc">
				<cfset stNode = oNav.getData(objectid=qDesc.objectid) />
				<cfset stChildHTML = oHTML.getData(objectid=stNode.aObjectIDs[1]) />
				<cfset html = html & "<li><h4>" />
				<cfsavecontent variable="link">
					<skin:buildLink objectid="#qDesc.objectid#"><cfoutput>#qDesc.objectname#</cfoutput></skin:buildLink>
				</cfsavecontent>
				<cfset html = html & link />
				<cfset html = html & "</h4><span>" & stChildHTML.teaser & "</span></li>" />
			</cfloop>
			<cfset html = html & "</ul>" />
		</cfif>
		
		<cfset arrayAppend(request.aInvocations,html) />
		
	</cffunction> 

</cfcomponent>
