<cfsetting enablecfoutputonly="Yes">

<cfimport taglib="/farcry/farcry_core/tags/farcry" prefix="farcry">
<cfimport taglib="/farcry/farcry_core/tags/navajo/" prefix="nj">

<cfparam name="url.killplp" default="0">
<cfparam name="url.finishURL" default="#application.url.farcry#/admin/customadmin.cfm?module=_bosFAQ/list.cfm">

<cfoutput>

<farcry:plp 
	owner="#session.dmSec.authentication.userlogin#_#stObj.objectID#"
	stepDir="/farcry/#application.applicationname#/packages/types/_bosFAQ/plpEdit"
	cancelLocation="#application.url.farcry#/admin/customadmin.cfm?module=_bosFAQ/list.cfm"
	iTimeout="15"
	stInput="#stObj#"
	bDebug="0"
	bForceNewInstance="#url.killplp#"
	r_stOutput="stOutput"
	storage="file"
	storagedir="#application.path.plpstorage#"
	redirection="server"
	r_bPLPIsComplete="bComplete">

	<farcry:plpstep name="start" template="start.cfm">
	<farcry:plpstep name="related" template="related.cfm">
	<farcry:plpstep name="categories" template="metadata.cfm">
	<farcry:plpstep name="complete" template="complete.cfm" bFinishPLP="true">

</farcry:plp>

<!--- update the left hand nav --->
<cfparam name="request.stPLP.currentStep" default="">
<cfif request.stPLP.currentStep IS 'related'>
	<cfscript>
		rootobjectid = application.navid.home;

		// Find the tab index for the Site Links custom admin tab
		// Set default value to 1
		parenttabindex = 1;
		parentTabElements = XMLSearch(application.customAdminXML,"/customtabs/parenttab");
		for ( i=1; i lte ArrayLen(parentTabElements); i = i+1 )
		{
			if ( not CompareNoCase(trim(parentTabElements[i].XmlText), 'FAQ') )
				parenttabindex = i;
		}
	</cfscript>

	<!--- Set the left frame to be the drilled down site tree --->
	<script>
		parent.frames['treeFrame'].location.href='#application.url.farcry#/navajo/overview_frame.cfm?rootobjectid=#rootobjectid#&insertonly=1';
		window.onunload = function() {
			parent.frames['treeFrame'].location.href='#application.url.farcry#/admin/customadminMenuFrame.cfm?parenttabindex=#parenttabindex#';
		}
	</script>
<!---<cfelse>

	<script>
		parent.frames['treeFrame'].location.href='#application.url.farcry#/admin/customadminMenuFrame.cfm?parenttabindex=#url.parenttabindex#';
	</script>--->

</cfif>


</cfoutput>

<cfif isDefined("bComplete") and bComplete>
	<!--- unlock object --->
	<cfset stoutput.label=stoutput.question>
	<cfinvoke component="#application.packagepath#.farcry.locking" method="unlock" returnvariable="unlockRet">
		<cfinvokeargument name="stObj" value="#stOutput#"/>
		<cfinvokeargument name="objectid" value="#stOutput.objectid#"/>
		<cfinvokeargument name="typename" value="#stOutput.typename#"/>
	</cfinvoke>
	<!--- return to the return page --->
	<cflocation url="#url.finishURL#" addtoken="no">
</cfif>

<cfsetting enablecfoutputonly="no">